package cn.newfeifan.mall.module.trade.job.order;

import cn.newfeifan.mall.framework.common.mq.message.order.DistriOrderMessage;
import cn.newfeifan.mall.framework.quartz.core.handler.JobHandler;
import cn.newfeifan.mall.framework.tenant.core.job.TenantJob;
import cn.newfeifan.mall.module.trade.controller.app.order.vo.AppTradeOrderDetailRespVO;
import cn.newfeifan.mall.module.trade.mq.producer.order.DistriOrderProducer;
import cn.newfeifan.mall.module.trade.service.order.TradeOrderQueryService;
import cn.newfeifan.mall.module.trade.service.order.TradeOrderUpdateService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * 交易订单自动计算 Job
 *
 * @author 非繁源码
 */
@Component
public class TradeOrderAutoCalcJob implements JobHandler {

    @Resource
    private DistriOrderProducer distriOrderProducer;

    @Resource
    private TradeOrderQueryService tradeOrderQueryService;

    @Override
    @TenantJob
    public String execute(String param) {
        List<DistriOrderMessage> appTradeOrderDetailRespVos = tradeOrderQueryService.queryAllOrder();
        distriOrderProducer.sendDistriOrderMessage(appTradeOrderDetailRespVos);
        return String.format("执行成功");
    }

}
